// pages/memberRules.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    ruleImg:'',
    type:''
  },

  onLoad:function(options){
    if (options.type == 1){
      wx.setNavigationBarTitle({
        title: '积分规则',
      })
    }
    this.setData({
      type: options.type
    })
    this.getRule(options.type)
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  //获取规则
  getRule(TYPE){
    wxService.get(`/merchant/brandRuleDescSet/get?type=${TYPE}&brandId=${app.globalData.brandId}`).then(res => {
      console.log(res)
      this.setData({
        ruleImg: res.data.data.content
      })
    })
  }

})