
// component/imageSwiper/imageSwiper.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		imageData: {
			type: Array,
			value: [],
		},
  },
  attached () {},
	/**
	 * 组件的初始数据
	 */
	data: {
    imgUrls: [],
    indicatorDots: false,
    autoplay: true,
    circular: true,
    interval: 5000,
    duration: 1000,
    isAuthorization: false
	},
	/**
	 * 组件的方法列表
	 */
	methods: {
		 preview(e) {
			const {appid, path, link,item} = e.currentTarget.dataset
			// 获取当前帐号信息
			const accountInfo = utils.getAccountInfo()
      const userInfo = wx.getStorageSync('_baseUserInfo')
       if (userInfo){
      //  app.globalData.commonFunc.getLink(item.link.type, item)
      let currentClickType = app.globalData.commonFunc.getLink(item.link.type, item)

      if(link.type == 2) {
        // 触发父组件更新页面
        wxService.nextTick(() => {
          this.triggerEvent('updatePage', { pageId: currentClickType.url })
        })
      } else if(link.type == 3) {
        // 预览
        wx.previewImage({
          current: `https://images.unsplash.com/${currentClickType.imageUrl}`, // 当前显示图片的http链接
          urls: [`http://testimg3.bigaka.com/${currentClickType.link.url}`]  // 需要预览的图片http链接列表
        })
      } else if(link.type == 4) {
        wxService.router(`${currentClickType}`)
      }

          // 是当前小程序 直接跳转
          // if(accountInfo.miniProgram.appId == appid){
          //   wxService.router(`${path}`)
          // } else {
          //   // 	跳转其他小程序
          //   wx.navigateToMiniProgram({
          //     appId: appid,
          //     path: `${path}`,
          //     success: e => {
          //       console.log(e)
          //     },
          //     fail: e => {
          //       console.log(e)
          //     },
          //     complete: e => {
          //       console.log(e)
          //     },
          //   })
          // }
       }else{
         this.setData({
           isAuthorization: true
         })
         return false
       }

    }
  }
})
