// pages/activateCard/activateCardCallback.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo
var wxbarcode = require('../../codeUtils/index.js');

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    wx.showLoading({
      title: '加载中'
    })
   // activate_ticket, card_id, code, errCode, wx_activate_after_submit_url
   this.handleGoActivateCard(this.options)
  },
  handleGoActivateCard(options={}) {
    if(!options) return false
    options.activate_ticket = decodeURIComponent(options.activate_ticket)
    // 解析 url 参数 {}
    const parmasSubmitUrl = utils.parseUrl(options.wx_activate_after_submit_url)
    // 合并对象
    let currentObj = Object.assign(options, parmasSubmitUrl)
    
    wxService.post(`/member/activateCard`, currentObj).then(res => {
      const {result,data} = res.data
      if(result == 0){
        // 变更 激活状态
        //wx.setStorageSync('memberActivateStatus',true)

        // 激活成功 变更 _激活状态
        const baseUserInfo = wx.getStorageSync('_baseUserInfo')
        baseUserInfo.memberActivateStatus = true
        wx.setStorageSync('_baseUserInfo',baseUserInfo)
        // 更新缓存信息 relogin
        wxService.relogin()

        wx.hideLoading()
        wxService.router(`/pages/userCenter/userCenter`)
      } else {
        wx.hideLoading()
        wx.showToast({
          title: `${res.desc}`,
          icon: 'none'
        })
        wxService.router(`/pages/welcome/welcome`)
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})